<?xml version="1.0" encoding="UTF-8"?>
<!--

   This is the dbXML static System Collection definition file.  There
   is a reason why this file is gently tucked away in the dbXML jar
   file.  DO NOT modify this file unless you really, REALLY know what
   you're doing.  Incorrectly configuring this definition CAN render
   your database unusable.  You have been warned!

-->

<!--
   $Id: SystemCollection.xml,v 1.1.1.1 2003/11/14 00:06:47 bradford Exp $
-->
<collection name="system">
   <!-- System Collections -->
   <collections>
      <!-- Symbol Tables Collection -->
      <collection name="SysSymbols" type="compressed">
         <filer class="com.dbxml.db.common.btree.BTreeFiler" />
         <!--

            Textual Representation of Hard-coded Symbol Table.
            NEVER MODIFY THIS!

         -->
         <symbols>
            <symbol name="symbols" id="0" />
            <symbol name="symbol" id="1" />
            <symbol name="name" id="2" />
            <symbol name="id" id="3" />
            <symbol name="nsuri" id="4" />
            <symbol name="dbxml-class" id="5" />
            <symbol name="jaxb-package" id="6" />
         </symbols>
      </collection>

      <collection name="SysObjects" type="compressed">
         <filer class="com.dbxml.db.common.btree.BTreeFiler" />
      </collection>
      <collection name="SysConfig" type="compressed">
         <filer class="com.dbxml.db.common.btree.BTreeFiler" />
      </collection>
      <collection name="SysSchemas" type="compressed">
         <filer class="com.dbxml.db.common.btree.BTreeFiler" />
      </collection>
      <collection name="SysUsers" type="compressed">
         <filer class="com.dbxml.db.common.btree.BTreeFiler" />
         <indexes>
            <index class="com.dbxml.db.common.indexers.ValueIndexer"
                   name="IDX_USERID"
                   pattern="user@id" />
            <index class="com.dbxml.db.common.indexers.ValueIndexer"
                   name="IDX_ROLE"
                   pattern="role" />
         </indexes>
      </collection>
      <collection name="SysUserProperties" type="compressed">
         <filer class="com.dbxml.db.common.btree.BTreeFiler" />
         <indexes>
            <index class="com.dbxml.db.common.indexers.ValueIndexer"
                   name="IDX_USERID"
                   pattern="user_properties@id" />
            <index class="com.dbxml.db.common.indexers.ValueIndexer"
                   name="IDX_NAME"
                   pattern="property@name" />
         </indexes>
      </collection>
      <collection name="SysRoles" type="compressed">
         <filer class="com.dbxml.db.common.btree.BTreeFiler" />
         <indexes>
            <index class="com.dbxml.db.common.indexers.ValueIndexer"
                   name="IDX_ROLEID"
                   pattern="role@id" />
         </indexes>
      </collection>
      <collection name="SysAccess" type="compressed">
         <filer class="com.dbxml.db.common.btree.BTreeFiler" />
         <indexes>
            <index class="com.dbxml.db.common.indexers.ValueIndexer"
                   name="IDX_PATH"
                   pattern="access@path" />
            <index class="com.dbxml.db.common.indexers.ValueIndexer"
                   name="IDX_ROLE"
                   pattern="role" />
         </indexes>
      </collection>

      <!-- System MetaData Collection -->
      <collection name="SysMetaData">
         <collections>
            <collection name="groups" type="compressed">
               <filer class="com.dbxml.db.common.btree.BTreeFiler" />
               <indexes>
                  <index class="com.dbxml.db.common.indexers.ValueIndexer"
                         name="IDX_GROUPNAME"
                         pattern="group@name" />
               </indexes>
            </collection>
            <collection name="content" type="compressed">
               <filer class="com.dbxml.db.common.btree.BTreeFiler" />
               <indexes>
                  <index class="com.dbxml.db.common.indexers.ValueIndexer"
                         name="IDX_GROUP"
                         pattern="group" />
                  <index class="com.dbxml.db.common.indexers.ValueIndexer"
                         name="IDX_PATH"
                         pattern="path" />
                  <index class="com.dbxml.db.common.indexers.ValueIndexer"
                         name="IDX_OWNER"
                         pattern="owner" />
                  <index class="com.dbxml.db.common.indexers.ValueIndexer"
                         name="IDX_MODIFIED"
                         pattern="modified" />
                  <index class="com.dbxml.db.common.indexers.ValueIndexer"
                         name="IDX_CREATED"
                         pattern="created" />
                  <index class="com.dbxml.db.common.indexers.ValueIndexer"
                         name="IDX_SIZE"
                         type="int"
                         pattern="size" />
                  <index class="com.dbxml.db.common.indexers.ValueIndexer"
                         name="IDX_VERSION"
                         type="float"
                         pattern="version" />
                  <index class="com.dbxml.db.common.indexers.ValueIndexer"
                         name="IDX_TAG"
                         pattern="tag" />
               </indexes>
            </collection>
         </collections>
      </collection>

   </collections>

   <!-- System-level Extensions -->
   <extensions>
      <extension name="sequencer"
                 class="com.dbxml.db.core.system.Sequencer" />
      <extension name="accessmanager"
                 class="com.dbxml.db.common.security.AccessManager" />
      <extension name="syncmanager"
                 class="com.dbxml.db.enterprise.sync.SyncManager" />
   </extensions>
</collection>

